Activation

Serve kit activation page

get

Returns an HTML page for end users to activate their test kit and provide test-taker information

Query parameters
kit_idstringRequired

Supplier Kit ID from test kit packaging

Responses
chevron-right
200

HTML activation form

text/html
stringOptional
get
/activate

Activate a test kit

post

Registers test-taker details with the supplier and updates order item status. This endpoint is called after the test-taker receives their kit and provides their information.

Body

Information provided by test-taker when activating their kit

collection_datestringOptionalExample: 2025-11-15T09:00:00Z
supplier_kit_idstringOptionalExample: KIT123456789
Responses
chevron-right
200

Kit activated successfully

application/json

Confirmation that kit was activated successfully

kit_idstringOptionalExample: KIT123456789
messagestringOptionalExample: Kit activated successfully
successbooleanOptionalExample: true
post
/activate/kit

Last updated

Was this helpful?